Name:              scap-security-guide
Version:           0.1.39
Release:           4
Summary:           Create security policy content for various platforms
License:           Public Domain
URL:               https://github.com/OpenSCAP/scap-security-guide
Source0:           https://github.com/OpenSCAP/scap-security-guide/releases/download/v%{version}/scap-security-guide-%{version}.tar.bz2

BuildArch:         noarch

BuildRequires:     libxslt expat python2 openscap-scanner >= 1.2.5 python2-lxml cmake >= 2.8 python2-jinja2 PyYAML
Requires:          xml-common openscap-scanner >= 1.2.5
Obsoletes:         openscap-content < 0:0.9.13
Provides:          openscap-content

%description
The project's aim is to make it as easy as possible to write new and maintain existing security content in all the commonly used formats.
The security content can be used to scan bare-metal machines, virtual machines, virtual machine images (qcow2 and others), containers
(including Docker) and container images.

%package           help
Summary:           Help documentation and security guides for scap-security-guide
Requires:          %{name} = %{version}-%{release}
Provides:          %{name}-doc = %{version}-%{release}
Obsoletes:         %{name}-doc < %{version}-%{release}

%description       help
This package contains help documentation and security guides related to scap-security-guide.

%prep
%autosetup -p1

%build
install -d build
cd build
%cmake ..
%make_build

%install
cd build
%make_install

%files
%doc %{_docdir}/%{name}/LICENSE
%{_datadir}/xml/scap/ssg/content
%{_datadir}/%{name}/kickstart
%{_datadir}/%{name}/ansible
%{_datadir}/%{name}/bash
%lang(en) %{_mandir}/man8/scap-security-guide.8.*

%files help
%doc %{_docdir}/%{name}/README.md
%doc %{_docdir}/%{name}/Contributors.md
%doc %{_docdir}/%{name}/guides/*.html
%doc %{_docdir}/%{name}/tables/*.html

%changelog
* Mon Oct 14 2019 dongjian <dongjian13@huawei.com> - 0.1.39-4
- Package init
